# mMap Struct Reference

`#include <vmm.h>`

## Data Fields

int | cowCounter
uInt32 | pageAddr
pid_t | pid
uInt16 | reserved
uInt16 | status

## Detailed Description

Definition at line 41 of file vmm.h.

## Field Documentation

int mMap::cowCounter

Definition at line 46 of file vmm.h.

Referenced by adjustCowCounter(), freePage(), and vmmFreeProcessPages().

uInt32 mMap::pageAddr

Definition at line 42 of file vmm.h.

Referenced by vmmMemMapInit().

pid_t mMap::pid

Definition at line 45 of file vmm.h.

Referenced by adjustCowCounter(), freePage(), vmmFindFreePage(), vmmFreeProcessPages(), and vmmMemMapInit().

uInt16 mMap::reserved

Definition at line 44 of file vmm.h.

uInt16 mMap::status

Definition at line 43 of file vmm.h.

Referenced by adjustCowCounter(), freePage(), and vmmMemMapInit().

The documentation for this struct was generated from the following file:

- src/sys/include/vmm/vmm.h